Last Comment Bug 807655 - Icons for reminder and privacy status get covered by the category strip
: Icons for reminder and privacy status get covered by the category strip
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Lightning 1.9
: All All
: -- normal (vote)
: 1.9.1
Assigned To: Decathlon
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 07:38 PDT by Decathlon
Modified: 2013-03-10 07:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (2.50 KB, patch)
2012-11-01 07:40 PDT, Decathlon
richard.marti: review+
matthew.mecca: approval‑calendar‑esr+
Details | Diff | Review

Description Decathlon 2012-11-01 07:38:03 PDT
Steps to reproduce:
1. in any view, create a new event with a category and a reminder and/or a privacy status like "private" or "show time and date only";

-> the event in the view has the reminder icon and the privacy icons partially visible or completely invisible because are under the category's colored strip.

This is a regression due to the patch for bug 568770.
Comment 1 Decathlon 2012-11-01 07:40:50 PDT
Created attachment 677395 [details] [diff] [review]
patch - v1

Inside the stacks, the elements have a wrong order.
I've also added an align "center" for the icons in month view that looks better.
Comment 2 Richard Marti (:Paenglab) 2012-11-01 12:00:26 PDT
Comment on attachment 677395 [details] [diff] [review]
patch - v1

Looks good.

r=me
Comment 3 Philipp Kewisch [:Fallen] 2012-11-06 09:10:49 PST
Pushed to comm-central changeset ab6ed1b9c63a
Comment 4 Decathlon 2013-02-07 01:08:54 PST
This fix should be included in the release 1.9.1.
Comment 5 Matthew Mecca [:mmecca] 2013-02-08 15:48:40 PST
comm-esr17 - https://hg.mozilla.org/releases/comm-esr17/rev/0ee3855031a0

Note You need to log in before you can comment on or make changes to this bug.